<%@ page contentType="text/html;charset=UTF-8"%>
<%@ include file="/WEB-INF/jsp/views/include/taglib_police.jsp"%>
<%@ taglib prefix="fns" uri="/WEB-INF/jsp/tld/fns.tld" %>
<!DOCTYPE html>
<html>
<head>
	<title>${fns:getConfig("platform_name")}</title>
	<link href="${pageContext.request.contextPath }/css/bootstrap.min.css" rel="stylesheet">
	<link href="${pageContext.request.contextPath }/font-awesome/css/font-awesome.css" rel="stylesheet">
	<link href="${pageContext.request.contextPath }/css/animate.css" rel="stylesheet">
	<link href="${pageContext.request.contextPath }/css/style.css" rel="stylesheet">
	<link href="${pageContext.request.contextPath }/layer/skin/layer.css" rel="stylesheet">
	<script src="${pageContext.request.contextPath }/js/jquery-3.5.1.min.js"></script>
	<script src="${pageContext.request.contextPath }/js/jquery-migrate.min.js"></script>
<%--	<script type="text/javascript" src="${pageContext.request.contextPath }/js/jquery-1.11.1.min.js"></script>--%>
	<!--[if lt IE 9]>
	<link href="${pageContext.request.contextPath }/css/ie8-survey.css" rel="stylesheet">
	<script type="text/javascript" src="${pageContext.request.contextPath }/js/html5shiv.min.js"></script>
	<script type="text/javascript" src="${pageContext.request.contextPath }/js/respond.min.js"></script>
	<![endif]-->
	<style>
		.btn-default {
			background-color: transparent;
			border-color: #c2c2c2;
			color: #676a6c;
			position: fixed;
			top: 5px;
			right: 15px;
		}
	</style>
</head>

<body class="gray-bg">
<div class="wrapper wrapper-content animated fadeInRight survey">

	<div class="row">
		<div class="ibox">
			<div class="col-sm-1 activity-type">
				<label class="text-right">活动类型</label>
			</div>
			<a onclick="javascript:window.history.go(-1);"><button class="btn btn-default" type="submit">返回</button></a>
			<div class="col-sm-1">
				<select  name="category" id="category" onchange="refreshcate()">
					<option value="ALL">全部</option>
					<option value="100001">体育赛事</option>
					<option value="100002">文艺演出</option>
					<option value="100003">展览展销</option>
					<option value="100004">游园灯会</option>
					<option value="100005">招聘会</option>
					<option value="100006">公益慈善</option>
					<option value="100007">其他</option>
				</select>
			</div>

			<div class="col-sm-1">
				<label class="text-right">&nbsp;&nbsp;&nbsp;&nbsp;时间</label>
			</div>

			<div class="col-sm-1 text-left">
				<select  name="year" id="year" onchange="refreshcate()">

				</select>
			</div>

		</div>

	</div>

	<div class="row">
		<div class="col-sm-6">

			<div class="row">
				<div class="ibox">
					<div class="ibox-content">
						<!-- bar-chart-war 开始 -->
						<div class="bar-chart-war">
							<div class="bar-chart-left sdw-100">
								<h4>整改意见数量统计</h4>

								<div class="ibox float-e-margins">
									<div class="ibox-content">
										<div class="echarts" id="map1" style="height: 300px;"></div>
									</div>
								</div>
							</div>
						</div>
						<!-- bar-chart-war 结束 -->
					</div>
				</div>
			</div>
		</div>
		<div class="col-sm-6">

			<div class="row">
				<div class="ibox">
					<div class="ibox-content">
						<!-- bar-chart-war 开始 -->
						<div class="bar-chart-war">
							<div class="bar-chart-left sdw-100">
								<h4>整改反馈数量统计</h4>

								<div class="ibox float-e-margins">
									<div class="ibox-content">
										<div class="echarts" id="pie1" style="height: 300px;"></div>
									</div>
								</div>
							</div>
						</div>
						<!-- bar-chart-war 结束 -->
					</div>
				</div>
			</div>
		</div>
	</div>

	<div class="row">
		<div class="col-sm-6">

			<div class="row">
				<div class="ibox">
					<div class="ibox-content">
						<!-- bar-chart-war 开始 -->
						<div class="bar-chart-war">
							<div class="bar-chart-left sdw-100">
								<h4>勘查频次数统计</h4>

								<div class="ibox float-e-margins">
									<div class="ibox-content">
										<div class="echarts" id="stitches1" style="height: 300px;"></div>
									</div>
								</div>
							</div>
						</div>
						<!-- bar-chart-war 结束 -->
					</div>
				</div>
			</div>
		</div>
		<div class="col-sm-6">

			<div class="row">
				<div class="ibox">
					<div class="ibox-content">
						<!-- bar-chart-war 开始 -->
						<div class="bar-chart-war">
							<div class="bar-chart-left sdw-100">
								<h4>整改反馈率分析</h4>

								<div class="ibox float-e-margins">
									<div class="ibox-content">
										<div class="echarts" id="stack" style="height: 300px;"></div>
									</div>
								</div>
							</div>
						</div>
						<!-- bar-chart-war 结束 -->
					</div>
				</div>
			</div>
		</div>
	</div>

</div>
</body>

<!-- 引入 ECharts 文件 -->
<%--
<script type="text/javascript" src="<c:url value='/assets/js/jquery-2.1.1.js'/>"></script>
--%>
<script type="text/javascript" src="${pageContext.request.contextPath}/js/bootstrap.min.js"></script>

<script type="text/javascript" src="${pageContext.request.contextPath}/js/echart3.3.2/echarts.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath}/js/echart3.3.2/map/js/china.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath}/js/echart3.3.2/theme/dark.js"></script>

<script type="text/javascript">

    //弹窗
    $('body').on('hidden.bs.modal', '.modal', function () {
        $(this).removeData('bs.modal');
    });

    $('#navbar-minimalize').on('click',function(){
        $('body').toggleClass('mini-navbar');
    });

</script>

<script type="text/javascript">
    function randomData() {
        return Math.round(Math.random()*1000);
    }
</script>

<!-- 第一个图 -->
<script type="text/javascript">
    var dom = document.getElementById("map1");
    var myChart = echarts.init(dom);

    var app = {};
    option = null;
    app.title = '柱状图';

    option = {
        tooltip : {
            trigger: 'axis',
            axisPointer : {            // 坐标轴指示器，坐标轴触发有效
                type : 'shadow'        // 默认为直线，可选为：'line' | 'shadow'
            }
        },
        legend: {
            data:['文艺演出','体育赛事','展览展销','游园灯会','公益慈善','招聘会','其他']
        },
        grid: {
            left: '3%',
            right: '4%',
            bottom: '3%',
            containLabel: true
        },
        xAxis : [
            {
                type : 'category',
                data : ['整改意见数量统计']
            }
        ],
        yAxis : [
            {
                type : 'value'
            }
        ],
        series : [
            {
                name:'文艺演出',
                type:'bar',
                data:[1234]
            },
            {
                name:'体育赛事',
                type:'bar',
                data:[301]
            },
            {
                name:'展览展销',
                type:'bar',
                data:[320]
            },
            {
                name:'游园灯会',
                type:'bar',
                data:[390]
            },
            {
                name:'公益慈善',
                type:'bar',
                data:[320]
            },
            {
                name:'招聘会',
                type:'bar',
                data:[320]
            },
            {
                name:'其他',
                type:'bar',
                data:[320]
            }
        ]
    };

    if (option && typeof option === "object") {
        myChart.setOption(option, true);
    }

</script>


<!-- 第二个图 -->
<script type="text/javascript">
    var dompie = document.getElementById("pie1");
    var myChartpie = echarts.init(dompie);

    var app = {};
    optionpie = null;
    app.title = '柱状图';

    optionpie = {
        title: {
            text: ''
        },
        tooltip: {},
        legend: {
            left: '3%',
            data: ['勘查意见数', '整改反馈数']
        },
        radar: {
            // shape: 'circle','文艺演出','体育赛事','展览展销','游园灯会','公益慈善','招聘会'
            indicator: [
                { name: '文艺演出', max: 100},
                { name: '体育赛事', max: 100},
                { name: '展览展销', max: 100},
                { name: '游园灯会', max: 100},
                { name: '公益慈善', max: 100},
                { name: '招聘会', max: 100},
                { name: '其他', max: 100}
            ]
        },
        series: [{
            name: '整改反馈数量统计',
            type: 'radar',
            // areaStyle: {normal: {}},
            data : [
                {
                    value : [4300, 10000, 28000, 35000, 50000, 19000,1200],
                    name : '勘查意见数'
                },
                {
                    value : [5000, 14000, 28000, 31000, 42000, 21000,1000],
                    name : '整改反馈数'
                }
            ]
        }]
    };

    if (optionpie && typeof optionpie === "object") {
        myChartpie.setOption(optionpie, true);
    }

</script>


<!-- 第三个图 -->
<script type="text/javascript">
    var domline = document.getElementById("stitches1");
    var myChartline = echarts.init(domline);

    var app = {};
    optionline = null;
    app.title = '柱状图';

    optionline = {
        title : {
            text: '',
            subtext: ''
        },
        tooltip : {
            trigger: 'axis'
        },
        legend: {
            data:['全部']
        },

        calculable : true,
        xAxis : [
            {
                type : 'value',
                boundaryGap : [0, 0.01]
            }
        ],
        yAxis : [
            {
                type : 'category',
                data : ['文艺演出','体育赛事','展览展销','游园灯会','公益慈善','招聘会','其他']
            }
        ],
        series : [
            {
                name:'全部',
                type:'bar',
                data:[0, 3, 1, 0, 0, 0 ,0]
            }
        ]
    };

    if (optionline && typeof optionline === "object") {
        myChartline.setOption(optionline, true);
    }

</script>


<!-- 第四个图 -->
<script type="text/javascript">
    var domstack = document.getElementById("stack");
    var myChartstack = echarts.init(domstack);

    var app = {};
    optionstack = null;
    app.title = '柱状图';

    optionstack = {
        tooltip : {
            trigger: 'axis'
        },
        legend: {
            data:['文艺演出','体育赛事','展览展销','游园灯会','公益慈善','招聘会','其他']
        },

        calculable : true,
        xAxis : [
            {
                type : 'category',
                boundaryGap : false,
                data : ['一月','二月','三月','四月','五月','六月','七月','八月','九月','十月','十一月','十二月']
            }
        ],
        yAxis : [
            {
                type : 'value'
            }
        ],
        series : [
            {
                name:'文艺演出',
                type:'line',
                stack: '总量',
                data:[120, 132, 101, 134, 90, 230, 210,100]
            },
            {
                name:'体育赛事',
                type:'line',
                stack: '总量',
                data:[220, 182, 191, 234, 290, 330, 310,100]
            },
            {
                name:'展览展销',
                type:'line',
                stack: '总量',
                data:[150, 232, 201, 154, 190, 330, 410,100]
            },
            {
                name:'游园灯会',
                type:'line',
                stack: '总量',
                data:[320, 332, 301, 334, 390, 330, 320,100]
            },
            {
                name:'公益慈善',
                type:'line',
                stack: '总量',
                data:[320, 332, 301, 334, 390, 330, 320,100]
            },
            {
                name:'招聘会',
                type:'line',
                stack: '总量',
                data:[820, 932, 901, 934, 1290, 1330, 1320,100]
            },
            {
                name:'其他',
                type:'line',
                stack: '总量',
                data:[820, 932, 901, 934, 1290, 1330, 1320,100]
            }
        ]
    };

    if (optionstack && typeof optionstack === "object") {
        myChartstack.setOption(optionstack, true);
    }

</script>

<script type="text/javascript">
    function refreshcate() {
        var category;
        var year;

        var cate = document.getElementById("category");
        category=(cate.options[cate.selectedIndex].value);

        var y = document.getElementById("year");
        year=(y.options[y.selectedIndex].value);

        //通过Ajax获取数据 1
        $.ajax({
            type : "post",
            async : true, //异步执行
            url : "${pageContext.request.contextPath}/business/analysis/actdata6",
            data : "category="+category+"&year="+year,
            dataType : "json", //返回数据形式为json
            success : function(result)
            {
                var mydata = [];
                var data="";
                jQuery.each(result, function(i,item){
                    mydata[i]=item.value;
                });

                option.series[0].data=eval('['+mydata[0]+']');
                option.series[1].data=eval('['+mydata[1]+']');
                option.series[2].data=eval('['+mydata[2]+']');
                option.series[3].data=eval('['+mydata[3]+']');
                option.series[4].data=eval('['+mydata[4]+']');
                option.series[5].data=eval('['+mydata[5]+']');
                option.series[6].data=eval('['+mydata[6]+']');

                if (option && typeof option === "object") {
                    myChart.setOption(option, true);
                }
            },
            error : function(errorMsg) {

            }
        });


        //通过Ajax获取数据 2
        $.ajax({
            type : "post",
            async : true, //异步执行
            url : "${pageContext.request.contextPath}/business/analysis/actdata6",
            data : "category="+category+"&year="+year,
            dataType : "json", //返回数据形式为json
            success : function(result)
            {
                var mydata = [];
                var mydata2 = [];
                var data="";
                jQuery.each(result, function(i,item){
                    mydata[i]=item.value;
                    mydata2[i]=item.value2;
                });

                optionpie.series[0].data[0].value=eval('['+mydata+']');
                optionpie.series[0].data[1].value=eval('['+mydata2+']');

                if (optionpie && typeof optionpie === "object") {
                    myChartpie.setOption(optionpie, true);
                }
            },
            error : function(errorMsg) {

            }
        });


        //通过Ajax获取数据 3
        $.ajax({
            type : "post",
            async : true, //异步执行
            url : "${pageContext.request.contextPath}/business/analysis/actdata7",
            data : "category="+category+"&year="+year,
            dataType : "json", //返回数据形式为json
            success : function(result)
            {
                var mydata = [];
                var data="";
                jQuery.each(result, function(i,item){
                    mydata[i]= returnFloat(item.value/item.value2);
                });

                optionline.series[0].data = eval('['+mydata+']'); //eval('['+result.series[0].data+']');

                if (optionline && typeof optionline === "object") {
                    myChartline.setOption(optionline, true);
                }
            },
            error : function(errorMsg) {

                //myChart.hideLoading();
            }
        });


        //通过Ajax获取数据 4
        $.ajax({
            type : "post",
            async : true, //异步执行
            url : "${pageContext.request.contextPath}/business/analysis/actdata8",
            data : "category="+category+"&year="+year,
            dataType : "json", //返回数据形式为json
            success : function(result)
            {
                optionstack.series[0].data = result.series[0].data;
                if ( "ALL" == category ) {
                    optionstack.series[1].data = result.series[1].data;
                    optionstack.series[2].data = result.series[2].data;
                    optionstack.series[3].data = result.series[3].data;
                    optionstack.series[4].data = result.series[4].data;
                    optionstack.series[5].data = result.series[5].data;
                    optionstack.series[6].data = result.series[6].data;
                }else{
                    optionstack.series[1].data = [];
                    optionstack.series[2].data = [];
                    optionstack.series[3].data = [];
                    optionstack.series[4].data = [];
                    optionstack.series[5].data = [];
                    optionstack.series[6].data = [];
                }

                if (optionstack && typeof optionstack === "object") {
                    myChartstack.setOption(optionstack, true);
                }
            },
            error : function(errorMsg) {

                //myChart.hideLoading();  
            }
        });

    }

    function returnFloat(value){
        if( isNaN(value)){
            return value;
		}
        var value=Math.round(parseFloat(value)*100)/100;
        var xsd=value.toString().split(".");
        if(xsd.length==1){
            value=value.toString()+".00";
            return value;
        }
        if(xsd.length>1){
            if(xsd[1].length<2){
                value=value.toString()+"0";
            }
            return value;
        }
    }

</script>

<script type="text/javascript">

    $(document).ready(function(){

        var year=new Date().getFullYear();
        $("#year").append($("<option value="+year+">本年</option><option value="+(year-1)+">"+(year-1)+"</option><option value="+(year-2)+">"+(year-2)+"</option><option value=\"today\">本日</option><option value=\"week\">本周</option><option value=\"month\">本月</option>"));

        refreshcate();
    });

</script>

</html>